Name:           gir-repository
Version:        0.6.5
Release:        7%{?dist}
Summary:        Introspection for GNOME libraries

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/GObjectIntrospection
#VCS:           git://git.gnome.org/gir-repository
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gobject-introspection-devel >= %{version}
BuildRequires:  avahi-gobject-devel
BuildRequires:  babl-devel
BuildRequires:  GConf2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  goocanvas-devel
BuildRequires:  gssdp-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libwnck-devel
BuildRequires:  nautilus-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  unique-devel
BuildRequires:  vte-devel
BuildRequires:  WebKit-gtk-devel

# https://bugzilla.gnome.org/show_bug.cgi?id=604167
Patch0:        gir-repo-install-dbus-glib.patch
Patch1:        gir-fixbabl.patch
BuildRequires: autoconf automake libtool gettext intltool

%description
Introspection system for GNOME libraries; see the gobject-introspection package.

%package devel
Summary: Libraries and headers for gir-repository
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: gobject-introspection-devel

%description devel
Libraries and headers for gir-repository

%prep
%setup -q
%patch0 -p1 -b .dbus-glib
%patch1 -p1 -b .fixbabl

%build
autoreconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

# drop atk and gtk, since these come with their own
# introspection support now
rm -f $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/Atk-1.0.typelib
rm -f $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/Gdk-2.0.typelib
rm -f $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
rm -f $RPM_BUILD_ROOT%{_libdir}/girepository-1.0/Gtk-2.0.typelib
rm -f $RPM_BUILD_ROOT%{_datadir}/gir-1.0/Atk-1.0.gir
rm -f $RPM_BUILD_ROOT%{_datadir}/gir-1.0/Gdk-2.0.gir
rm -f $RPM_BUILD_ROOT%{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
rm -f $RPM_BUILD_ROOT%{_datadir}/gir-1.0/Gtk-2.0.gir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING

%{_libdir}/lib*.so
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/*.gir

%changelog
* Tue Apr 13 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.5-7
- Drop gupnp support as it now upstream

* Wed Mar  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.5-6
- Add patch to fix babl version
- Fix FTBFS - Fixes 564867
- Drop gstreamer as it should be enabled in gst itself

* Mon Jan  4 2010 Tomas Bzatek <tbzatek@redhat.com> 0.6.5-5
- Drop gdk

* Tue Dec 22 2009 Matthias Clasen <mclasen@redhat.com> 0.6.5-4
- Drop atk and gtk

* Wed Dec 09 2009 Bastien Nocera <bnocera@redhat.com> 0.6.5-3
- Install the DBusGlib bindings

* Wed Sep 09 2009 Colin Walters <walters@verbum.org> - 0.6.5-2
- rebuilt

* Wed Sep 09 2009 Colin Walters <walters@verbum.org> 0.6.5-1
- New upstream

* Mon Aug 26 2009 Colin Walters <walters@verbum.org> 0.6.4-5
- New upstream
- Drop upstreamed patch

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.3-5
- Add patch to fix build with new gstreamer

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.3-4
- Further updates, drop clutter as its in the clutter package now

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.3-3
- Enable a buch of extra gobject extensions

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.3-1
- Update to 0.6.3 release. Require matching gobject-introspection version

* Fri Oct 31 2008 Colin Walters <walters@verbum.org> 0.6.0-1
- Create spec goo
